Subject: bug#44471: [PATCH] Simplify text-quoting-style

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Nov 2020 18:12:31 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Mon, 9 Nov 2020 12:13:23 -0800
> Cc: [email-masked]
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > Stefan Kangas <[email-masked]> writes:
> >
> >> I found an opportunity to simplify the code for text-quoting-style.  See
> >> the attached patch.
> >>
> >> The patch also improves the name of the defun `get-quoting-style' by
> >> changing it to `text-quoting-style'.  (This new name matches the old C
> >> function name and the existing variable name.)
> >>
> >> Any comments?
> >
> > Makes sense to me.
> 
> Thanks.  There have been no other comments, so I've pushed this to
> master as commit 95c04675ab.

Please in the future allow more than just a couple of days for people
to comment on non-trivial patches.

As it happens, I do have a few issues with the change:

  . it slows down code of two very popular functions, because we now
    use EQ instead of a C-level equality operator;
  . it introduces a function that has the same name as a variable,
    which adds a bit to confusion, and also defeats our method of
    reporting in what version was the function/variable introduced
    (try "C-h f"); and
  . I don't think I see the simplification that justifies these
    (admittedly quite minor) downsides

Thanks.